<?php
/**
 * Distinctive Themes Theme Customizer
 *
 * @package Distinctive Themes
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function dt_distinctpress_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
}
add_action( 'customize_register', 'dt_distinctpress_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function dt_distinctpress_customize_preview_js() {
	wp_enqueue_script( 'dt_distinctpress_customizer', get_template_directory_uri() . '/admin/scripts/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'dt_distinctpress_customize_preview_js' );

 
function distinctpress_customize_register($wp_customize){

    //  =============================
    //  = Body             =
    //  =============================
     

    $wp_customize->add_section('distinctpress_custom_colours', array(
        'title'    => __('Custom Colours', 'distinctpress'),
        'priority' => 80,
    ));   

    $wp_customize->add_setting('accent_colour', array(
        'default'           => '#2980b9',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
        'transport' => 'postMessage',
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'accent_colour', array(
        'label'    => __('Accent Colour (Buttons/Links etc)', 'distinctpress'),
        'section'  => 'distinctpress_custom_colours',
        'settings' => 'accent_colour',
    ))); 

    $wp_customize->add_setting('header_background_colour', array(
        'default'           => '#2980b9',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
        'transport' => 'postMessage',
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'header_background_colour', array(
        'label'    => __('Header Background Colour', 'distinctpress'),
        'section'  => 'distinctpress_custom_colours',
        'settings' => 'header_background_colour',
    )));

    $wp_customize->add_setting('footer_background_colour', array(
        'default'           => '#2980b9',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
        'transport' => 'postMessage',
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'footer_background_colour', array(
        'label'    => __('Footer Background Colour', 'distinctpress'),
        'section'  => 'distinctpress_custom_colours',
        'settings' => 'footer_background_colour',
    )));

   
}
 
add_action('customize_register', 'distinctpress_customize_register');